*REPLICATION MATERIALS. CORE ARTICLE 
*COMPULSORY VOTING AND ETHNIC DIVERSITY INCREASE INVALID VOTING WHILE CORRUPTION DOES NOT:
*AN ANALYSIS OF 417 PARLIAMENTARY ELECTIONS IN 73 COUNTRIES. 

*Authors: Ferran Martinez i Coma & Annika Werner
*Journal: Democratization

clear
version 13

set seed 1234
set more off

 use "datafile appendix A3.dta" 

 * ROBUSTNESS CHECK 3: Boix, Miller and Rosatoif bmr_dem==1 & electype==1 &
xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania if bmr_dem==1 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) replace

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude   ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude  if bmr_dem==1 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) append

 
* ROBUSTNESS CHECK 4: EXCLUDING THOSE VALUES THAT HAVE A FH VALUE OF 3 OR HIGHER... Comment on footnote 7. 

xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania if electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  & fhav<=2.5 ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) append
 
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude   ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) & fhav<=2.5  ///
 || country: 
  xtmrho
  outreg2 using testA.doc, nolabel bdec(3) append
