*REPLICATION MATERIALS. CORE ARTICLE 
*COMPULSORY VOTING AND ETHNIC DIVERSITY INCREASE INVALID VOTING WHILE CORRUPTION DOES NOT:
*AN ANALYSIS OF 417 PARLIAMENTARY ELECTIONS IN 73 COUNTRIES. 

*Authors: Ferran Martinez i Coma & Annika Werner
*Journal: Democratization

clear
version 13

set seed 1234
set more off

use "datafile article.dta"

****TABLE 1---YEAR
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania  i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) ///
 || country: 

 *1970-1979
 sort country year 
 browse country year if e(sample) 
 sum invot if e(sample) & year>=1970 & year<=1979

 *1980-1989
 sort country year 
 browse country year if e(sample) 
 sum invot if e(sample) & year>=1980 & year<=1989

 *1990-1999
sort country year 
 browse country year if e(sample) 
 sum invot if e(sample) & year>=1990 & year<=1999
 
 *2000-2011
sort country year 
 browse country year if e(sample) 
 sum invot if e(sample) & year>=2000 & year<=2011

 ****TABLE 1---- CONTINENT
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania  i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 
 sort region country year 
 browse region country year if e(sample) 
 *Asia
 sum invot if e(sample) & region==1

 *Europe
 sum invot if e(sample) & region==2

 *Africa
sum invot if e(sample) & region==3

 *America
sum invot if e(sample) & region==4
 
 *Oceania
sum invot if e(sample) & region==5
  
*Figure 1
xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) ///
 || country: 
twoway scatter invot year if e(sample) || lowess invot year if e(sample), bwidth(25) xtitle("") ytitle("Percentage of invalid vote") title("Evolution of invalid voting 1970-2011" , size (Medium small))

  
********** TABLE 3
xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using testA.doc, nolabel bdec(3) replace

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr concurrentsamedate count PR MAJ2  lnparties lndistmagnitude i.compulsory3 ///
 Asia Africa America Oceania  i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
outreg2 using testA.doc, nolabel bdec(3) append


 **********GRAPHS For INTERACTIONS... 
 set scheme plotplainblind, permanently
  
xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.lnparties#c.lndistmagnitude c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude  if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
margins , at(compulsory3=(0(1)2) ethnicALE =(0.0(0.8)0.8))
margins, dydx(ethnicALE) over(compulsory3)
marginsplot, recast(bar) plotopts(barwidth(0.5)) ciopts(recast(rcap)) yline(0) scheme(plotplain) xtitle("Compulsory Voting") ///
	title("") ytitle("Average Marginal Effect" "of Ethnic Fragmentation") xlabel(0 "no" 1 "yes; no sanc no enf" 2"yes; sanc & enf")
graph save "inter compul ethnic fragEDU.gph", replace
	
	
 *inter compul corrup (H2c inter)
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude   ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.lnparties#c.lndistmagnitude c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)   ///
 || country: 
*margins, at (compulsory2 =(0(1)1) vdem_corr=(0(.8).8))
*marginsplot, title("") xtitle(Compulsory Voting H2c) ytitle("Predicted Invalid Voting") yline(0) recastci(rarea) recast(line) legend(subtitle("Corruption"))
margins, dydx(vdem_corr) over(compulsory3)
marginsplot, recast(bar) plotopts(barwidth(0.5)) ciopts(recast(rcap)) yline(0) scheme(plotplain) xtitle("Compulsory Voting") ///
	title("") ytitle("Average Marginal Effect" "of Corruption") xlabel(0 "no" 1 "yes; no sanc no enf" 2"yes; sanct & enf")
graph save "inter corruption compul voteEDU.gph", replace

*corruption and ethnicity (H2d inter)
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.lnparties#c.lndistmagnitude c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude ///
 if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  || country:
*margins, at (vdem_corr=(0(0.1)0.86) ethnicALE =(0.0(0.8)0.8))
*marginsplot, title("") xtitle(Political Corruption H2d) ytitle("Predicted Invalid Voting") yline(0) recastci(rarea) recast(line) legend(subtitle("Ethnic Diversity"))
margins, dydx(ethnicALE) at(vdem_corr=(0(0.05)0.85))
marginsplot, recast(line) recastci(rline) yline(0, lc(black) lp(dash)) scheme(plotplain) ///
	title("") ytitle("Average Marginal Effect" "of Ethnic Fragmentation") xlabel(0(0.1)0.85) ///
	xtitle("Political corruption")

graph save "inter corruption ethnic voteEDU.gph", replace

*inter parties district magnitude (H3 inter)
 xtmixed education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.lnparties#c.lndistmagnitude c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) ///
 || country: 
*margins, at  (lndistmagnitude =(0(2)6) lnparties=(0(2.6)2.6))
*marginsplot, title("") xtitle(District Magnitude ln H3d) ytitle("Predicted Invalid Voting") yline(0) recastci(rarea) recast(line) legend(subtitle("Number of parties ln"))
margins, dydx(lnparties) at(lndistmagnitude =(0(0.2)6))
marginsplot, recast(line) recastci(rline) yline(0, lc(black) lp(dash)) scheme(plotplain) ///
	title("") ytitle("Average Marginal Effect" "of Nr of Parties (log)") xlabel(0(0.5)6) ///
	xtitle("District Magnitude (log)")
graph save "inter parties district magEDU.gph", replace
 

graph combine "inter compul ethnic fragEDU.gph" "inter corruption compul voteEDU.gph" "inter corruption ethnic voteEDU.gph" "inter parties district magEDU.gph"

****APPENDIX 

********TABLE A4: DIFFERENT ESTIMATION METHOD

 xtpcse invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) , pairwise co(ar1)
 outreg2 using testA.doc, nolabel bdec(3) replace


xtpcse invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5), pairwise co(ar1)
 outreg2 using testA.doc, nolabel bdec(3) append

 
  * ROBUSTNESS CHECK 6 & 7: excluding the cases with 10%, 7% and 2SD's  of invalid votes 

  xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using test.doc, nolabel bdec(3) replace

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude  if uds_mean>=0.4 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append

  *10%
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania if uds_mean>=0.4 & invot<=10 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
 outreg2 using test.doc, nolabel bdec(3) append

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & invot<=10 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)   ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append

*7%
 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania  if uds_mean>=0.4 & invot<=7 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & invot<=7 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append


*2SDs%
  xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania  if uds_mean>=0.4 & invot<=8.9 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5)  ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append

 xtmixed invot education2 loggdppc logurbanrate ethnicALE turnoutNohl competi  vdem_corr i.compulsory3 concurrentsamedate count PR MAJ2  lnparties lndistmagnitude  ///
 Asia Africa America Oceania i.compulsory3#c.ethnicALE i.compulsory3#c.vdem_corr c.vdem_corr#c.ethnicALE c.lnparties#c.lndistmagnitude if uds_mean>=0.4 & invot<=8.9 & electype==1 & (region==1 | region==2 | region==3 | indepamerica==1 | region==5) ///
 || country: 
 xtmrho
outreg2 using test.doc, nolabel bdec(3) append
 
 
 